"""
 This is an example implementation of an extended stack-datastructure
 based on the cStack-implementation.
 Copyright (c): Sascha Wille, inf6201@fh-wedel.de

 You may study, modify and distribute this source code
 FOR NON-COMMERCIAL PURPOSES ONLY.
 This copyright message has to remain unchanged.

 Note that this document is provided 'as is',
 WITHOUT WARRANTY of any kind either expressed or implied.
"""

from cStackMod import *

class extStack(cStack):
    def __init__(self, arg):
        cStack.__init__(self,arg)

    def isEmpty(self):
        return self.getSize() == 0

    def pop(self):
        return cStack.pop(self) * 10

def testExtStack():
    myExtStack = extStack(5)
    print("Stack (nach Instanzierung) ist leer? " + str(myExtStack.isEmpty()))

    for i in range(1,6):
        myExtStack.push(i)
    print("Stack (nach Einfuegen) ist leer? " + str(myExtStack.isEmpty()))
    for i in range(1,6):
        print(myExtStack.pop())

    print("Stack (nach Leeren) ist leer? " + str(myExtStack.isEmpty()))

    myExtStack = None

testExtStack()
